| POSTNOTE(3) | POSTNOTE(3)

NAME

| postnote – send a note to a process or process group

SYNOPSIS

`#include <u.h>
#include <libc.h>

` `int postnote(int who, int pid, char *note)
`

DESCRIPTION

Postnote sends a note to a process or process group. If who is `PNPROC`, then note is sent to the process with id pid. If who is `PNGROUP`, the note is delivered to the process group containing the process with id pid. For `PNGROUP` only, if the calling process is in the target group, the note is not delivered to that process.

Returns zero if the write succeeds, otherwise –1.

SOURCE

| `/usr/local/plan9/src/lib9/postnote.c`

SEE ALSO

| notify(3), intro(3)

DIAGNOSTICS

| Sets errstr.